Subject: Re: [bug#36239] [PATCH] opensmtpd-service-type to extend pam

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Thu, 20 Jun 2019 14:18:27 +0200

Ludovic Courtès wrote:
> I think I’d use it here; that’s consistent with the rest of the 
> file
> actually, no?  To me everything looks OK as it is.

Then I'm not sure I grok % (which is likely as I've never read a 
description, only induced its use).

What's the difference between:

 (define (%dovecot-activation config) …

and

 (define opensmtpd-activation …
 (define exim-activation …

?  I thought it had something to do with being exports/globals but 
here (%opensmtpd-accounts, etc.) it is used simply to say ‘this is 
a list’.

Will push,

T G-R